[Libreoffice-commits] core.git: Branch 'distro/collabora/cp-5.1' - bin/pack-debug

Andras Timar andras.timar at collabora.com
Sun Dec 18 17:58:17 UTC 2016


 bin/pack-debug |   25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

New commits:
commit 96e38033680d49175cec68f7d7a3a1607dd85fef
Author: Andras Timar <andras.timar at collabora.com>
Date:   Sun Dec 18 18:57:45 2016 +0100

    license header, remove useless comments, usage hint
    
    Change-Id: I33151ffb6b73e2c436da91f275b668e0cb9a31b7

diff --git a/bin/pack-debug b/bin/pack-debug
index 7219474..b34e5b6 100755
--- a/bin/pack-debug
+++ b/bin/pack-debug
@@ -1,18 +1,23 @@
-#!/bin/sh
-# create debuginfo and debugsource packages from LO rpm & deb files
-# (generated by using --enable-symbols)
+#!/bin/bash
+#
+# This file is part of the LibreOffice project.
 #
-# Usage:
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
 #
-# cd /opt/lo_installation_path
-# dbg_pkg
-# # or
-# # PACKAGENAME=collaboraoffice5.1 dbg_pkg # if building in a different path
+# create debuginfo and debugsource packages from LO rpm & deb files
+# (generated by using --enable-symbols)
 
 # build path
 export BUILD_PATH=$PWD
 
 # set install dirname and product version
+if [ ! -f config.log ]; then
+    echo "config.log not found. Run this script from build root."
+    exit 1;
+fi
+
 eval $(grep ^INSTALLDIRNAME config.log)
 eval $(grep ^PRODUCTVERSION config.log)
 
@@ -35,8 +40,6 @@ export build_cpu
 
 #########################################
 # create source package
-# (use PACKAGENAME environmental variable
-# to find "$PACKAGENAME".spec.log)
 #########################################
 
 DEBUGSRC="$(find workdir -name ${DEBUGSRC_PACKAGENAME}.spec.log)"
@@ -171,8 +174,6 @@ function repack_deb {
 
 #########################################
 # create deb source package
-# (use PACKAGENAME environmental variable
-# to find "$PACKAGENAME".spec.log)
 #########################################
 
 DEBUGSRC=$BUILD_PATH/workdir/installation/CollaboraOffice/deb/listfile/en-US/epm_gid_Module_Root_Brand.lst


More information about the Libreoffice-commits mailing list